#!/usr/bin/python2.2
#
# keyboard_models.py - keyboard model list
#
# Brent Fox <bfox@redhat.com>
# Mike Fulbright <msf@redhat.com>
# Jeremy Katz <katzj@redhat.com>
#
# Copyright 2002 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

class KeyboardModels:

    def get_models(self):
        return self.modelDict

    def __init__(self):

        self.modelDict = {
            'be-latin1'               : ['Belgian (be-latin1)', 'be', 'pc102', ""                        ],
            'bg'                      : ['Bulgarian', 'bg', 'pc102', ""                                  ],
            'br-abnt2'                : ['Brazilian (ABNT2)', 'br', 'abnt2', ""                          ],
            'cf'                      : ['French Canadian', 'ca_enhanced', 'pc102', ""                   ],
            'cz-us-qwertz'            : ['Czechoslovakian (qwertz)', 'cz', 'pc102', ""                   ],
            'cz-lat2'                 : ['Czechoslovakian', 'cz', 'pc102', ""                            ],
            'de'                      : ['German', 'de', 'pc102', ""                                     ],
            'de-latin1'               : ['German (latin1)', 'de', 'pc102', ""                            ],
            'de-latin1-nodeadkeys'    : ['German (latin1 w/ no deadkeys)', 'de', 'pc102', 'nodeadkeys'   ],
            'dvorak'                  : ['Dvorak', 'dvorak', 'pc105', ''                                 ],
            'dk'                      : ['Denmark', 'dk', 'pc102', ''                                    ],
            'dk-latin1'               : ['Denmark (latin1)', 'dk', 'pc102', ''                           ],
            'es'                      : ['Spanish', 'es', 'pc102', ''                                    ],
            'et'                      : ['Estonian', 'ee', 'pc102', ''                                   ],
            'fi'                      : ['Finnish', 'fi', 'pc102', ''                                    ],
            'fi-latin1'               : ['Finnish (latin1)', 'fi', 'pc102', ''                           ],
            'fr'                      : ['French', 'fr', 'pc102', ''                                     ],
            'fr-latin0'               : ['French (latin0)', 'fr', 'pc102', ''                            ],
            'fr-latin1'               : ['French (latin1)', 'fr', 'pc102', ''                            ],
            'fr-pc'                   : ['French (pc)', 'fr', 'pc102', ''                                ],
            'fr_CH'                   : ['Swiss French', 'fr_CH', 'pc102', ''                            ],
            'fr_CH-latin1'            : ['Swiss French (latin1)', 'fr_CH', 'pc102', ''                   ],
            'gr'                      : ['Greek', 'el', 'pc102', ''                                      ],
            'hu'                      : ['Hungarian' , 'hu', 'pc102', ''                                 ],
            'hu101'                   : ['Hungarian (101 key)', 'hu', 'pc102', ''                        ],
            'is-latin1'               : ['Iceland', 'is', 'pc102', ''                                    ],
            'it'                      : ['Italian', 'it', 'pc102', ''                                    ],
            'it-ibm'                  : ['Italian (IBM)', 'it', 'pc102', ''                              ],
            'it2'                     : ['Italian (it2)', 'it', 'pc102', ''                              ],
            'jp106'                   : ['Japanese', 'jp', 'jp106', ''                                   ],
            'no'                      : ['Norwegian', 'no', 'pc102', ''                                  ],
            'no-latin1'               : ['Norwegian (latin1)', 'no', 'pc102', ''                         ],
            'pl'                      : ['Polish', 'pl', 'pc102', ''                                     ],
            'pt-latin1'               : ['Portuguese', 'pt', 'pc102', ''                                 ],
            'ro_win'                  : ['Romanian', 'ro', 'pc102', ''                                   ],
            'ru'                      : ['Russian', 'ru', 'pc102', ''                                    ],
            'ru-cp1251'               : ['Russian (cp1251)', 'ru', 'pc102', ''                           ],
            'ru-ms'                   : ['Russian (Microsoft)', 'ru', 'pc102', ''                        ],
            'ru1'                     : ['Russian (ru1)', 'ru', 'pc102', ''                              ],
            'ru2'                     : ['Russian (ru2)', 'ru', 'pc102', ''                              ],
            'ru_win'                  : ['Russian (win)', 'ru', 'pc105', ''                              ],
            'speakup'                 : ['Speakup', 'us', 'pc105', ''                                    ],
            'speakup-lt'              : ['Speakup (laptop)', 'us', 'pc105', ''                           ],
            'se-latin1'               : ['Swedish', 'se', 'pc102', ''                                    ],
            'sg'                      : ['Swiss German', 'de_CH', 'pc102', ''                            ],
            'sg-latin1'               : ['Swiss German (latin1)', 'de_CH', 'pc102', ''                   ],
            'sk-qwerty'               : ['Slovakian', 'sk_qwerty', 'pc102', ''                           ],
            'slovene'                 : ['Slovenian', 'si', 'pc102', ''                                  ],
            'trq'                     : ['Turkish', 'tr', 'pc102', ''                                    ],
            'uk'                      : ['United Kingdom', 'gb', 'pc101', ''                             ],
            'ua'                      : ['Ukrainian', 'ua', 'pc102', ''                                  ],
            'us-acentos'              : ['U.S. International', 'us_intl', 'pc105', ''                    ],
            'us'                      : ['U.S. English', 'us', 'pc105', ''                               ],
            }


def get_supported_models():
    models = KeyboardModels()
    maps = models.modelDict.keys()
    maps.sort()
    for map in maps:
        print map
